<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 2.0 (11/2017)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: PLAYER
	@@version: 1.0
*/
session_start();
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('./includes/functions.php');
require_once('./includes/init.php');

//DEBUT TRAITEMENT\\
//On selectionne le plugin à afficher
$content = select_plugin($server_data['plugin']);
//On extrait l'adresse du plugin à afficher
$plugin_selected = $content['p_selected'];
//On extrait les infos du plugin à afficher
$infos = $content['p_infos'];
//On selectionne le slider à afficher
$slider = select_scrolling($server_data['scrolling']);
$slider_content = file_get_contents($slider['s_selected']);
$slider_content = str_replace(array("<p>", "</p>", "<hr />", "<br />"), " ", $slider_content);
//FIN TRAITEMENT\\
// echo $page;
?>

<link href="template/css/bootstrap.min.css" rel="stylesheet">
<link href="template/css/styles.css" rel="stylesheet">
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="pragma" content="no-cache" />
	
<?php if($slider['s_infos'][3] != null){?>
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
	<div class="container-fluid">
		<div class="navbar-header">
			<marquee scrollamount="<?php echo $slider['s_infos'][3];?>" class="navbar-brand"><?php echo $slider_content;?></marquee>
		</div>				
	</div><!-- /.container-fluid -->
</nav>
<?php }?>
	<?php
		if($infos[3] == 'jpg' OR $infos[3] == 'png' OR $infos[3] == 'gif'){
		?>
		<style>
		img {
			width: 100%;
			height: 93%;
			max-height: 93%;
		}
		</style>
		<img src="<?php echo $plugin_selected;?>"/>
		<?php
		}elseif($infos[3] == 'mp4' OR $infos[3] == 'webm' OR $infos[3] == 'ogg' OR $infos[3] == 'avi'){
		?>
		<style>
			body {background-color: #000000;}
		</style>
		<div align="center">
			<video width="65%" height="65%" src="<?php echo $plugin_selected;?>" controls="controls" autoplay>
				Your browser does not support HTML5 video.
			</video>
		</div>
		<?php
		}else{
		?>
			<?php echo file_get_contents($plugin_selected);?>
			<?php 
			//Si vitesse scroll configuré, on l'applique, sinon on met celle par defaut.
			if(isset($vitesse_scroll) && $vitesse_scroll != null){$vitesse_scroll = $vitesse_scroll;}else{$vitesse_scroll = '100';}
			sleep(1);//On attend 1 sec pour laisser le plugin finir de charger avant de calculer la taille.
			?>
			<script>
				(function() {
				   'use strict';

				   var dbh,sto,num=1,temp=0,scrolldelay=<?php echo $vitesse_scroll;?>;

				function init(){ 
					dbh=document.getElementById("Scroll_zone").offsetHeight;
					$('html, body').animate({scrollTop:0}, 'slow');
					console.log("H"+dbh);
					pageScroll();
				 }

				function pageScroll() {
					window.scrollBy(0,num);
					temp+=num;
				if((temp>=dbh)||(temp<=0)){
					num=-num;
				 }
				   sto=setTimeout(function(){pageScroll();},scrolldelay);
				 }

				   window.addEventListener?
				   window.addEventListener('load',init,false):
				   window.attachEvent('onload',init);
				})();
			</script>
		<?php
		}
		?>
	<meta http-equiv="refresh" content="<?php echo $infos[2];?>">
	</body>
</html>
